## cd-hit 4.5.7

=== Makefile ===

CC = g++ -Wall -ggdb
CC = g++ -pg
CC = g++

# without OpenMP
CCFLAGS = -DNO_OPENMP

# with OpenMP
# in command line: 
# make openmp=yes
ifeq ($(openmp),yes)
CCFLAGS = -fopenmp
endif

# support debugging
# in command line:
# make debug=yes
# make openmp=yes debug=yes
ifeq ($(debug),yes)
CCFLAGS += -ggdb
else
CCFLAGS += -O2
endif

#LDFLAGS = -static -o
LDFLAGS = -o

PROGS = cd-hit cd-hit-est cd-hit-2d cd-hit-est-2d cd-hit-div cd-hit-454

.c++.o:
	$(CC) $(CCFLAGS) -c $<

all: $(PROGS)

clean:
	rm *.o $(PROGS)

# programs

cd-hit: cdhit-common.o cdhit-utility.o cdhit.o
	$(CC) $(CCFLAGS) cdhit.o cdhit-common.o cdhit-utility.o $(LDFLAGS) cd-hit

cd-hit-2d: cdhit-common.o cdhit-utility.o cdhit-2d.o
	$(CC) $(CCFLAGS) cdhit-2d.o cdhit-common.o cdhit-utility.o $(LDFLAGS) cd-hit-2d

cd-hit-est: cdhit-common.o cdhit-utility.o cdhit-est.o
	$(CC) $(CCFLAGS) cdhit-est.o cdhit-common.o cdhit-utility.o $(LDFLAGS) cd-hit-est

cd-hit-est-2d: cdhit-common.o cdhit-utility.o cdhit-est-2d.o
	$(CC) $(CCFLAGS) cdhit-est-2d.o cdhit-common.o cdhit-utility.o $(LDFLAGS) cd-hit-est-2d

cd-hit-div: cdhit-common.o cdhit-utility.o cdhit-div.o
	$(CC) $(CCFLAGS) cdhit-div.o cdhit-common.o cdhit-utility.o $(LDFLAGS) cd-hit-div

cd-hit-454: cdhit-common.o cdhit-utility.o cdhit-454.o
	$(CC) $(CCFLAGS) cdhit-454.o cdhit-common.o cdhit-utility.o $(LDFLAGS) cd-hit-454

# objects
cdhit-common.o: cdhit-common.c++ cdhit-common.h
	$(CC) $(CCFLAGS) cdhit-common.c++ -c

cdhit-utility.o: cdhit-utility.c++ cdhit-utility.h
	$(CC) $(CCFLAGS) cdhit-utility.c++ -c

cdhit.o: cdhit.c++ cdhit-utility.h
	$(CC) $(CCFLAGS) cdhit.c++ -c

cdhit-2d.o: cdhit-2d.c++ cdhit-utility.h
	$(CC) $(CCFLAGS) cdhit-2d.c++ -c

cdhit-est.o: cdhit-est.c++ cdhit-utility.h
	$(CC) $(CCFLAGS) cdhit-est.c++ -c

cdhit-est-2d.o: cdhit-est-2d.c++ cdhit-utility.h
	$(CC) $(CCFLAGS) cdhit-est-2d.c++ -c

cdhit-div.o: cdhit-div.c++ cdhit-common.h
	$(CC) $(CCFLAGS) cdhit-div.c++ -c

cdhit-454.o: cdhit-454.c++ cdhit-common.h
	$(CC) $(CCFLAGS) cdhit-454.c++ -c

PREFIX ?= /usr/local/bin

install:
	for prog in $(PROGS); do \
		install -m 0755 $$prog $(PREFIX); \
	done
	install -m 0755 *.pl $(PREFIX);

=== debian/changelog ===
cd-hit (4.5.7-1) unstable; urgency=low

  * Initial release (Closes: #652074)
  * This package is recommended by the package qiime and thus it also
    Closes: #651983

 -- Andreas Tille <tille@debian.org>  Wed, 14 Dec 2011 14:39:32 +0100

=== debian/control ===
Source: cd-hit
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
 Andreas Tille <tille@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.2
Homepage: http://weizhong-lab.ucsd.edu/cd-hit/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/cd-hit/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/cd-hit/trunk/

Package: cd-hit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
Description: suite of programs designed to quickly group sequences
 cd-hit contains a number of programs designed to quickly group
 sequences. cd-hit groups proteins into clusters that meet a user-defined
 similarity threshold. cd-hit-est is similar to cd-hit, but designed to
 group nucleotide sequences (without introns). cd-hit-est-2d is similar
 to cd-hit-2d but designed to compare two nucleotide datasets. A number
 of other related programs are also in this package. Please see the
 cd-hit user manual, also part of this package, for further information.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for cd-hit
# Andreas Tille <tille@debian.org>
# GPL

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=debian/$(pkg)/usr/lib/cd-hit

override_dh_compress:
	dh_compress --exclude=.pdf

=== debian/watch ===
version=3
http://googlecode.debian.net/p/cdhit/cd-hit-v([.\d]+)[-\d]+\.tgz

## cd-hit 4.6-2012-04

=== Makefile ===
--- 
+++ 
@@ -23,6 +23,10 @@
 CCFLAGS += -O2
 endif
 
+ifdef MAX_SEQ
+CCFLAGS += -DMAX_SEQ=$(MAX_SEQ)
+endif
+
 #LDFLAGS = -static -o
 LDFLAGS = -o
 
@@ -34,7 +38,7 @@
 all: $(PROGS)
 
 clean:
-	rm *.o $(PROGS)
+	rm -f *.o $(PROGS)
 
 # programs

## cd-hit 4.6-2012-04-25

=== debian/changelog ===
cd-hit (4.6-2012-04-25-1) unstable; urgency=low

  * New upstream version incorporating the previous patches as
    well as the LaTeX source of the documentation
  * debian/patches/use-dpkg-buildflags.patch: Make sure hardening
    flags will really propagate
  * debian/{control,rules}: Use mpi version of cd-hit
  * README.Debian: Tell users that we are using mpi and they should
    ask for an alternative if needed
  * debian/*.1, debian/manpages: Deleted in favour of autogenerated
    manpages using help2man; Remark: the manually edited pages were
    slightly better regarding "SEE ALSO" and "AUTHORS" sections but
    it is better to auto-generate the pages to stay with changes of
    future versions
  * debian/rules: Use help2man 2 create manpages whereever possible
  * debian/patches/enable_help2man.patch: Fix some minor issues to
    get less error output in man pages

 -- Andreas Tille <tille@debian.org>  Thu, 26 Apr 2012 07:54:23 +0200

cd-hit (4.5.8-2012-03-24-1) unstable; urgency=low

  [ Charles Plessy ]
  * renamed debian/upstream-metadata.yaml to debian/upstream

  [ Andreas Tille ]
  * New upstream version
  * debian/watch: Fixed to reflect the change on code.google.com
  * debian/control: Standards-Version: 3.9.3 (no changes needed)
  * debian/copyright: Fixed DEP5 and verified using
      cme fix dpkg-copyright
  * debian/patches/gcc-4.7.patch: Enable building with g++-4.7
    Closes: #667134
  * debian/upstream:
     - use BibTeX format to specify author
     - Move DOI+PMID to References
     - Differentiate between URl and eprint
  * debhelper 9 (control+compat)

 -- Andreas Tille <tille@debian.org>  Sun, 22 Apr 2012 18:06:41 +0200

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
  Andreas Tille <tille@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), mpi-default-dev, help2man
+Standards-Version: 3.9.3
 Homepage: http://weizhong-lab.ucsd.edu/cd-hit/
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/cd-hit/trunk/
 Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/cd-hit/trunk/
 
 Package: cd-hit
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, mpi-default-bin
 Description: suite of programs designed to quickly group sequences
  cd-hit contains a number of programs designed to quickly group
  sequences. cd-hit groups proteins into clusters that meet a user-defined

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,79 @@
 #export DH_VERBOSE=1
 
 pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
+ver := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')
+
+mandir=$(CURDIR)/debian/$(pkg)/usr/share/man/man1/
 
 %:
 	dh $@
+
+override_dh_auto_build:
+	dh_auto_build -- openmp=yes
+
+override_dh_installman:
+	mkdir -p $(mandir)
+
+	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
+	   --name='quickly group sequences' \
+	   $(CURDIR)/cd-hit	| \
+	   sed -e 's/^cd-\(hit \\-\)/cd\1/' -e 's/^.B cd-hit/.B cdhit/' \
+	   > $(mandir)/cdhit.1
+
+	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
+	   --name='quickly group sequences in db1 or db2 format' \
+	   $(CURDIR)/cd-hit-2d	| \
+	   sed -e 's/^cd-\(hit-2d \\-\)/cd\1/' -e 's/^.B cd-hit/.B cdhit/' \
+	   	> $(mandir)/cdhit-2d.1
+
+	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
+	   --name='run CD-HIT algorithm on RNA/DNA sequences' \
+	   $(CURDIR)/cd-hit-est	| \
+	   sed -e 's/^cd-\(hit-est \\-\)/cd\1/' -e 's/^.B cd-hit/.B cdhit/' \
+		> $(mandir)/cdhit-est.1
+
+	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
+	   --name='run CD-HIT algorithm on RNA/DNA sequences in db1 or db2 format' \
+	   $(CURDIR)/cd-hit-est-2d	| \
+	   sed -e 's/^cd-\(hit-est-2d \\-\)/cd\1/' -e 's/^.B cd-hit/.B cdhit/' \
+		> $(mandir)/cdhit-est-2d.1
+
+	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
+	   --name='divide a big clustering job into pieces to run cd-hit-2d or cd-hit-est-2d jobs' \
+	   $(CURDIR)/cd-hit-2d-para.pl	> $(mandir)/cd-hit-2d-para.1
+
+	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
+	   --name='divide a big clustering job into pieces to run cd-hit or cd-hit-est jobs' \
+	    $(CURDIR)/cd-hit-para.pl	> $(mandir)/cd-hit-para.1
+
+	# psi-cd-hit.pl is throwing some errors which are fixed using sed
+	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
+	   --name='runs similar algorithm like CD-HIT but using BLAST to calculate similarities' \
+	   $(CURDIR)/psi-cd-hit.pl	| \
+	   sed -e '/^Name "main::.*" used only once:/d' \
+		> $(mandir)/psi-cd-hit.1
+
+	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
+	   --name='runs similar algorithm like CD-HIT but using BLAST to calculate similarities in db1 or db2 format' \
+	      $(CURDIR)/psi-cd-hit-2d.pl	> $(mandir)/psi-cd-hit-2d.1
+
+	# FIXME: what is the difference between psi-cd-hit-2d.pl and psi-cd-hit-2d-g1.pl ?
+	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
+	   --name='runs similar algorithm like CD-HIT but using BLAST to calculate similarities in db1 or db2 format' \
+	      $(CURDIR)/psi-cd-hit-2d-g1.pl	> $(mandir)/psi-cd-hit-2d-g1.1
+
+	# No help output from
+	#   cd-hit-div.pl
+	#   clstr2tree.pl
+	#   clstr_merge.pl
+	#   clstr_merge_noorder.pl
+	#   clstr_reduce.pl
+	#   clstr_renumber.pl
+	#   clstr_rev.pl
+	#   clstr_sort_by.pl
+	#   clstr_sort_prot_by
+	#   make_multi_seq
+	#   psi-cd-hit-local.pl    -> even throws several "used only once: possible typo" errors
 
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=debian/$(pkg)/usr/lib/cd-hit

## cd-hit 4.6.1-2012-08

=== Makefile ===
--- 
+++ 
@@ -28,9 +28,12 @@
 endif
 
 #LDFLAGS = -static -o
-LDFLAGS = -o
+LDFLAGS += -o
 
 PROGS = cd-hit cd-hit-est cd-hit-2d cd-hit-est-2d cd-hit-div cd-hit-454
+
+# Propagate hardening flags
+CCFLAGS := $(CPPFLAGS) $(CCFLAGS) $(CXXFLAGS)
 
 .c++.o:
 	$(CC) $(CCFLAGS) -c $<

## cd-hit 4.6.1-2012-08-27

=== debian/changelog ===
cd-hit (4.6.1-2012-08-27-2) unstable; urgency=low

  * Take over changes from BioLinux

 -- Andreas Tille <tille@debian.org>  Thu, 15 Aug 2013 21:36:49 +0200

cd-hit (4.6.1-2012-08-27-1biolinux1) precise; urgency=low

  * Rebuild for Precice
  * Add new cdhit-454 to /usr/bin, including help2man manpage
  * Remove dependency on openmpi, as cd-hit doesn't use it at all.
    (It uses the -fopenmp compiler flag; maybe there was some confusion?)

 -- Tim Booth <tbooth@ceh.ac.uk>  Thu, 15 Aug 2013 17:00:41 +0100

cd-hit (4.6.1-2012-08-27-1) unstable; urgency=low

  * New upstream version (adapted patches)
  * debian/control: 
     - cme fix dpkg-control
     - use anonscm in Vcs fields

 -- Andreas Tille <tille@debian.org>  Sun, 11 Aug 2013 10:51:30 +0200

=== debian/control ===
Source: cd-hit
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               help2man
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/cd-hit/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/cd-hit/trunk/
Homepage: http://weizhong-lab.ucsd.edu/cd-hit/

Package: cd-hit
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends}
Description: suite of programs designed to quickly group sequences
 cd-hit contains a number of programs designed to quickly group
 sequences. cd-hit groups proteins into clusters that meet a user-defined
 similarity threshold. cd-hit-est is similar to cd-hit, but designed to
 group nucleotide sequences (without introns). cd-hit-est-2d is similar
 to cd-hit-2d but designed to compare two nucleotide datasets. A number
 of other related programs are also in this package. Please see the
 cd-hit user manual, also part of this package, for further information.

=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,12 @@
 	   $(CURDIR)/cd-hit	| \
 	   sed -e 's/^cd-\(hit \\-\)/cd\1/' -e 's/^.B cd-hit/.B cdhit/' \
 	   > $(mandir)/cdhit.1
+
+	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
+	   --name='quickly group sequences, optimised for 454 data' \
+	   $(CURDIR)/cd-hit-454	| \
+	   sed -e 's/^cd-\(hit \\-\)/cd\1/' -e 's/^.B cd-hit/.B cdhit/' \
+	   > $(mandir)/cdhit-454.1
 
 	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
 	   --name='quickly group sequences in db1 or db2 format' \

=== debian/watch ===
version=3
http://code.google.com/p/cdhit/downloads/list?can=1 \
  .*/cd-hit-v([-.\d]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))|zip)

## cd-hit 4.6.4

=== debian/changelog ===
cd-hit (4.6.4-1) unstable; urgency=medium

  * New upstream version
  * Adapted d/watch to move from google code to Github
  * Remove redundant remark from author about LaTeX source of doc
  * cme fix dpkg-control
  * Update debian/copyright
  * Some tools do not generate a help2man output any more

 -- Andreas Tille <tille@debian.org>  Fri, 22 Jan 2016 15:31:20 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                help2man
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/cd-hit/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/cd-hit/trunk/
 Homepage: http://weizhong-lab.ucsd.edu/cd-hit/
@@ -24,4 +24,3 @@
  to cd-hit-2d but designed to compare two nucleotide datasets. A number
  of other related programs are also in this package. Please see the
  cd-hit user manual, also part of this package, for further information. 
-

=== debian/rules ===
--- 
+++ 
@@ -60,20 +60,23 @@
 	    $(CURDIR)/cd-hit-para.pl	> $(mandir)/cd-hit-para.1
 
 	# psi-cd-hit.pl is throwing some errors which are fixed using sed
-	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
-	   --name='runs similar algorithm like CD-HIT but using BLAST to calculate similarities' \
-	   $(CURDIR)/psi-cd-hit.pl	| \
-	   sed -e '/^Name "main::.*" used only once:/d' \
-		> $(mandir)/psi-cd-hit.1
+	# ... at least in versions <= 4.6.4 - now help2man does not work at all
+	#help2man --no-info --no-discard-stderr --version-string='$(ver)' \
+	#   --name='runs similar algorithm like CD-HIT but using BLAST to calculate similarities' \
+	#   $(CURDIR)/psi-cd-hit.pl	| \
+	#   sed -e '/^Name "main::.*" used only once:/d' \
+	#	> $(mandir)/psi-cd-hit.1
 
-	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
-	   --name='runs similar algorithm like CD-HIT but using BLAST to calculate similarities in db1 or db2 format' \
-	      $(CURDIR)/psi-cd-hit-2d.pl	> $(mandir)/psi-cd-hit-2d.1
+	# help2man does not work at all since version 4.6.4
+	#help2man --no-info --no-discard-stderr --version-string='$(ver)' \
+	#   --name='runs similar algorithm like CD-HIT but using BLAST to calculate similarities in db1 or db2 format' \
+	#      $(CURDIR)/psi-cd-hit-2d.pl	> $(mandir)/psi-cd-hit-2d.1
 
 	# FIXME: what is the difference between psi-cd-hit-2d.pl and psi-cd-hit-2d-g1.pl ?
-	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
-	   --name='runs similar algorithm like CD-HIT but using BLAST to calculate similarities in db1 or db2 format' \
-	      $(CURDIR)/psi-cd-hit-2d-g1.pl	> $(mandir)/psi-cd-hit-2d-g1.1
+	# help2man does not work at all since version 4.6.4
+	#help2man --no-info --no-discard-stderr --version-string='$(ver)' \
+	#   --name='runs similar algorithm like CD-HIT but using BLAST to calculate similarities in db1 or db2 format' \
+	#      $(CURDIR)/psi-cd-hit-2d-g1.pl	> $(mandir)/psi-cd-hit-2d-g1.1
 
 	# No help output from
 	#   cd-hit-div.pl

## cd-hit 4.6.5

=== debian/changelog ===
cd-hit (4.6.5-2) unstable; urgency=medium

  * Remove links to scripts that were removed in this version
    Closes: #825582
  * cme fix dpkg-control
  * Better hardening

 -- Andreas Tille <tille@debian.org>  Sat, 28 May 2016 09:24:04 +0200

cd-hit (4.6.5-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Wed, 09 Mar 2016 21:47:21 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                help2man
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/cd-hit/trunk/
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/cd-hit/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/cd-hit/trunk/
 Homepage: http://weizhong-lab.ucsd.edu/cd-hit/

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
 ver := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')

## cd-hit 4.6.6

=== debian/changelog ===
cd-hit (4.6.6-2) unstable; urgency=medium

  [ Canberk Koç ]
  * Team upload.
  * Autopkgtest added

  [ Andreas Tille ]
  * Install originally named tools (including '-' to /usr/bin)

 -- Canberk Koç <canberkkoc@gmail.com>  Sun, 14 Aug 2016 14:49:02 +0300

cd-hit (4.6.6-1) unstable; urgency=medium

  * New upstream version
  * Moved from SVN to Git

 -- Andreas Tille <tille@debian.org>  Wed, 03 Aug 2016 22:20:07 +0200

=== debian/rules ===
--- 
+++ 
@@ -25,33 +25,23 @@
 
 	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
 	   --name='quickly group sequences' \
-	   $(CURDIR)/cd-hit	| \
-	   sed -e 's/^cd-\(hit \\-\)/cd\1/' -e 's/^.B cd-hit/.B cdhit/' \
-	   > $(mandir)/cdhit.1
+	   $(CURDIR)/cd-hit > $(mandir)/cd-hit.1
 
 	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
 	   --name='quickly group sequences, optimised for 454 data' \
-	   $(CURDIR)/cd-hit-454	| \
-	   sed -e 's/^cd-\(hit \\-\)/cd\1/' -e 's/^.B cd-hit/.B cdhit/' \
-	   > $(mandir)/cdhit-454.1
+	   $(CURDIR)/cd-hit-454 > $(mandir)/cd-hit-454.1
 
 	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
 	   --name='quickly group sequences in db1 or db2 format' \
-	   $(CURDIR)/cd-hit-2d	| \
-	   sed -e 's/^cd-\(hit-2d \\-\)/cd\1/' -e 's/^.B cd-hit/.B cdhit/' \
-	   	> $(mandir)/cdhit-2d.1
+	   $(CURDIR)/cd-hit-2d > $(mandir)/cd-hit-2d.1
 
 	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
 	   --name='run CD-HIT algorithm on RNA/DNA sequences' \
-	   $(CURDIR)/cd-hit-est	| \
-	   sed -e 's/^cd-\(hit-est \\-\)/cd\1/' -e 's/^.B cd-hit/.B cdhit/' \
-		> $(mandir)/cdhit-est.1
+	   $(CURDIR)/cd-hit-est > $(mandir)/cd-hit-est.1
 
 	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
 	   --name='run CD-HIT algorithm on RNA/DNA sequences in db1 or db2 format' \
-	   $(CURDIR)/cd-hit-est-2d	| \
-	   sed -e 's/^cd-\(hit-est-2d \\-\)/cd\1/' -e 's/^.B cd-hit/.B cdhit/' \
-		> $(mandir)/cdhit-est-2d.1
+	   $(CURDIR)/cd-hit-est-2d > $(mandir)/cd-hit-est-2d.1
 
 	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
 	   --name='divide a big clustering job into pieces to run cd-hit-2d or cd-hit-est-2d jobs' \

## cd-hit 4.6.7

=== debian/changelog ===
cd-hit (4.6.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    - cd-hit-est and cd-hit-est-2d now can cluster paired end (PE) reads.
    - user can select sub-sequence from the beginning of the sequences
      for clustering.
    - psi-cd-hit.pl can work with blast+.
    - output cluster file can be sorted by cluster size, in addition to
      cluster length, which is still the default.
    - output fasta file can be sorted by cluster size.
  * upstream/metadata: Added RRID (SCR_007105).
  * upstream/edam: Crude first entry.

 -- Steffen Moeller <moeller@debian.org>  Wed, 14 Jun 2017 15:55:31 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,8 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 # debian/rules for cd-hit
-# Andreas Tille <tille@debian.org>
+#- Andreas Tille <tille@debian.org>
+#- Steffen Moeller <moeller@debian.org>
 # GPL
 
 # Uncomment this to turn on verbose mode.
@@ -12,7 +13,7 @@
 pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
 ver := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')
 
-mandir=$(CURDIR)/debian/$(pkg)/usr/share/man/man1/
+mandir := $(CURDIR)/debian
 
 %:
 	dh $@
@@ -21,35 +22,47 @@
 	dh_auto_build -- openmp=yes
 
 override_dh_installman:
-	mkdir -p $(mandir)
-
 	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
 	   --name='quickly group sequences' \
 	   $(CURDIR)/cd-hit > $(mandir)/cd-hit.1
+	(cd $(mandir) && ln -s cd-hit.1 cdhit.1)
 
 	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
 	   --name='quickly group sequences, optimised for 454 data' \
 	   $(CURDIR)/cd-hit-454 > $(mandir)/cd-hit-454.1
+	(cd $(mandir) && ln -s cd-hit-454.1 cdhit-454.1)
 
 	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
 	   --name='quickly group sequences in db1 or db2 format' \
 	   $(CURDIR)/cd-hit-2d > $(mandir)/cd-hit-2d.1
+	(cd $(mandir) && ln -s cd-hit-2d.1 cdhit-2d.1)
 
 	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
 	   --name='run CD-HIT algorithm on RNA/DNA sequences' \
 	   $(CURDIR)/cd-hit-est > $(mandir)/cd-hit-est.1
+	(cd $(mandir) && ln -s cd-hit-est.1 cdhit-est.1)
 
 	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
 	   --name='run CD-HIT algorithm on RNA/DNA sequences in db1 or db2 format' \
 	   $(CURDIR)/cd-hit-est-2d > $(mandir)/cd-hit-est-2d.1
+	(cd $(mandir) && ln -s cd-hit-est-2d.1 cdhit-est-2d.1)
 
 	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
 	   --name='divide a big clustering job into pieces to run cd-hit-2d or cd-hit-est-2d jobs' \
 	   $(CURDIR)/cd-hit-2d-para.pl	> $(mandir)/cd-hit-2d-para.1
+	(cd $(mandir) && ln -s cd-hit-2d-para.1 cdhit-2d-para.1)
 
 	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
 	   --name='divide a big clustering job into pieces to run cd-hit or cd-hit-est jobs' \
 	    $(CURDIR)/cd-hit-para.pl	> $(mandir)/cd-hit-para.1
+	(cd $(mandir) && ln -s cd-hit-para.1 cdhit-para.1)
+
+	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
+	   --name='divide a big clustering job into pieces to run cd-hit or cd-hit-est jobs' \
+	    $(CURDIR)/cd-hit-div.pl	> $(mandir)/cd-hit-div.1
+	(cd $(mandir) && ln -s cd-hit-div.1 cdhit-div.1)
+
+	dh_installman
 
 	# psi-cd-hit.pl is throwing some errors which are fixed using sed
 	# ... at least in versions <= 4.6.4 - now help2man does not work at all
@@ -88,3 +101,9 @@
 
 override_dh_compress:
 	dh_compress --exclude=.pdf
+
+override_dh_auto_clean:
+	# removing autogenerated man pages
+	rm -f debian/*.1
+	# continue with regular auto-clean
+	dh_auto_clean

## cd-hit 4.6.8

=== Makefile ===
--- 
+++ 
@@ -4,13 +4,14 @@
 CC = g++
 
 # without OpenMP
-CCFLAGS = -DNO_OPENMP
 
 # with OpenMP
 # in command line: 
 # make openmp=yes
-ifeq ($(openmp),yes)
-CCFLAGS = -fopenmp
+ifeq ($(openmp),no)
+  CCFLAGS = -DNO_OPENMP
+else
+  CCFLAGS = -fopenmp
 endif
 
 # support debugging

=== debian/changelog ===
cd-hit (4.6.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Make build reproducible, thanks to Chris Lamb for the patch.
    Closes: #866330

 -- Sascha Steinbiss <satta@debian.org>  Sat, 01 Jul 2017 10:43:07 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: debhelper (>= 9),
                help2man
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/cd-hit/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/cd-hit/trunk/
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/cd-hit.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/cd-hit.git
 Homepage: http://weizhong-lab.ucsd.edu/cd-hit/
 
 Package: cd-hit

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 # debian/rules for cd-hit
-#- Andreas Tille <tille@debian.org>
-#- Steffen Moeller <moeller@debian.org>
+# Andreas Tille <tille@debian.org>
 # GPL
 
 # Uncomment this to turn on verbose mode.
@@ -13,7 +12,7 @@
 pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
 ver := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')
 
-mandir := $(CURDIR)/debian
+mandir=$(CURDIR)/debian/$(pkg)/usr/share/man/man1/
 
 %:
 	dh $@
@@ -22,47 +21,39 @@
 	dh_auto_build -- openmp=yes
 
 override_dh_installman:
+	mkdir -p $(mandir)
+
 	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
 	   --name='quickly group sequences' \
 	   $(CURDIR)/cd-hit > $(mandir)/cd-hit.1
-	(cd $(mandir) && ln -s cd-hit.1 cdhit.1)
 
 	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
 	   --name='quickly group sequences, optimised for 454 data' \
 	   $(CURDIR)/cd-hit-454 > $(mandir)/cd-hit-454.1
-	(cd $(mandir) && ln -s cd-hit-454.1 cdhit-454.1)
 
 	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
 	   --name='quickly group sequences in db1 or db2 format' \
 	   $(CURDIR)/cd-hit-2d > $(mandir)/cd-hit-2d.1
-	(cd $(mandir) && ln -s cd-hit-2d.1 cdhit-2d.1)
 
 	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
 	   --name='run CD-HIT algorithm on RNA/DNA sequences' \
 	   $(CURDIR)/cd-hit-est > $(mandir)/cd-hit-est.1
-	(cd $(mandir) && ln -s cd-hit-est.1 cdhit-est.1)
 
 	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
 	   --name='run CD-HIT algorithm on RNA/DNA sequences in db1 or db2 format' \
 	   $(CURDIR)/cd-hit-est-2d > $(mandir)/cd-hit-est-2d.1
-	(cd $(mandir) && ln -s cd-hit-est-2d.1 cdhit-est-2d.1)
 
 	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
 	   --name='divide a big clustering job into pieces to run cd-hit-2d or cd-hit-est-2d jobs' \
 	   $(CURDIR)/cd-hit-2d-para.pl	> $(mandir)/cd-hit-2d-para.1
-	(cd $(mandir) && ln -s cd-hit-2d-para.1 cdhit-2d-para.1)
 
 	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
 	   --name='divide a big clustering job into pieces to run cd-hit or cd-hit-est jobs' \
 	    $(CURDIR)/cd-hit-para.pl	> $(mandir)/cd-hit-para.1
-	(cd $(mandir) && ln -s cd-hit-para.1 cdhit-para.1)
-
+	
 	help2man --no-info --no-discard-stderr --version-string='$(ver)' \
-	   --name='divide a big clustering job into pieces to run cd-hit or cd-hit-est jobs' \
-	    $(CURDIR)/cd-hit-div.pl	> $(mandir)/cd-hit-div.1
-	(cd $(mandir) && ln -s cd-hit-div.1 cdhit-div.1)
-
-	dh_installman
+           --name='divide a FASTA file into pieces' \
+            $(CURDIR)/cd-hit-div.pl    > $(mandir)/cd-hit-div.1
 
 	# psi-cd-hit.pl is throwing some errors which are fixed using sed
 	# ... at least in versions <= 4.6.4 - now help2man does not work at all
@@ -84,7 +75,6 @@
 	#      $(CURDIR)/psi-cd-hit-2d-g1.pl	> $(mandir)/psi-cd-hit-2d-g1.1
 
 	# No help output from
-	#   cd-hit-div.pl
 	#   clstr2tree.pl
 	#   clstr_merge.pl
 	#   clstr_merge_noorder.pl
@@ -101,9 +91,3 @@
 
 override_dh_compress:
 	dh_compress --exclude=.pdf
-
-override_dh_auto_clean:
-	# removing autogenerated man pages
-	rm -f debian/*.1
-	# continue with regular auto-clean
-	dh_auto_clean

## cd-hit 4.8.1

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,8 @@
-
 CC = g++ -Wall -ggdb
 CC = g++ -pg
 CC = g++
 
-# without OpenMP
-
+# default with OpenMP
 # with OpenMP
 # in command line: 
 # make openmp=yes
@@ -12,6 +10,21 @@
   CCFLAGS = -DNO_OPENMP
 else
   CCFLAGS = -fopenmp
+endif
+
+#LDFLAGS = -static -lz -o
+#LDFLAGS = /usr/lib/x86_64-linux-gnu/libz.a -o
+
+# default with zlib
+# without zlib
+# in command line:
+# make zlib=no
+ifeq ($(zlib),no)
+  CCFLAGS += 
+  LDFLAGS += -o
+else
+  CCFLAGS += -DWITH_ZLIB
+  LDFLAGS += -lz -o
 endif
 
 # support debugging
@@ -27,9 +40,6 @@
 ifdef MAX_SEQ
 CCFLAGS += -DMAX_SEQ=$(MAX_SEQ)
 endif
-
-#LDFLAGS = -static -o
-LDFLAGS += -o
 
 PROGS = cd-hit cd-hit-est cd-hit-2d cd-hit-est-2d cd-hit-div cd-hit-454

=== cd-hit-auxtools/Makefile ===

CC = g++

CFLAGS = -Wall -Wno-unused -I. -Imintlib
LFLAGS = -fPIC


UNAME = $(shell uname)

ifeq ($(UNAME), Linux)
	CFLAGS += -DUNIX
endif

ifeq ($(UNAME), Darwin)
	CFLAGS += -DUNIX -DMAC_OSX
endif

ifeq ($(debug),yes)
CFLAGS += -ggdb
else
CFLAGS += -O2
endif


#OBJECTS = mintlib/minString.o mintlib/minMap.o suffix_array.o
OBJECTS = mintlib/minString.o mintlib/minMap.o bioSequence.o

first: all

all: cd-hit-dup cd-hit-lap read-linker

.SUFFIXES: .c .obj .cpp .cc .cxx .C

.cxx.o:
	$(CC) -c $(CFLAGS) -o $@ $<

cd-hit-dup: $(OBJECTS) cdhit-dup.o
	$(CC) $(LFLAGS) $(OBJECTS) cdhit-dup.o -o cd-hit-dup

cd-hit-lap: $(OBJECTS) cdhit-lap.o
	$(CC) $(LFLAGS) $(OBJECTS) cdhit-lap.o -o cd-hit-lap

read-linker: $(OBJECTS) read-linker.o
	$(CC) $(LFLAGS) $(OBJECTS) read-linker.o -o read-linker

clean:
	rm $(OBJECTS) cdhit-dup.o cdhit-lap.o read-linker.o

=== debian/changelog ===
cd-hit (4.8.1-4) unstable; urgency=medium

  * d/watch: fix broken link to github
  * d/control: add myself to uploaders
  * d/t/run-unit-test: disable memory limits in tests (Closes: #992052)
  * Standards-Version: 4.6.0 (routine-update)

 -- Étienne Mollier <emollier@debian.org>  Fri, 20 Aug 2021 10:39:56 +0200

cd-hit (4.8.1-3) unstable; urgency=medium

  * Fix Homepage
    Closes: #975385
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Update watch file format version to 4.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Sat, 21 Nov 2020 20:27:41 +0100

cd-hit (4.8.1-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Makefile expects a C++ compiler in $CC. (Closes: #932652)

 -- Andreas Tille <tille@debian.org>  Mon, 22 Jul 2019 00:42:22 +0200

cd-hit (4.8.1-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

  [ Andreas Tille ]
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0
  * Remove trailing whitespace in debian/rules
  * Do not parse d/changelog
  * Build-Depends: zlib1g-dev

 -- Andreas Tille <tille@debian.org>  Fri, 19 Jul 2019 19:34:25 +0200

cd-hit (4.6.8-2) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Wed, 19 Sep 2018 14:47:50 +0200

=== debian/control ===
Source: cd-hit
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
           Andreas Tille <tille@debian.org>,
           Étienne Mollier <emollier@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               help2man,
               zlib1g-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/cd-hit
Vcs-Git: https://salsa.debian.org/med-team/cd-hit.git
Homepage: http://weizhongli-lab.org/cd-hit/
Rules-Requires-Root: no

Package: cd-hit
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends}
Description: suite of programs designed to quickly group sequences
 cd-hit contains a number of programs designed to quickly group
 sequences. cd-hit groups proteins into clusters that meet a user-defined
 similarity threshold. cd-hit-est is similar to cd-hit, but designed to
 group nucleotide sequences (without introns). cd-hit-est-2d is similar
 to cd-hit-2d but designed to compare two nucleotide datasets. A number
 of other related programs are also in this package. Please see the
 cd-hit user manual, also part of this package, for further information.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for cd-hit
# Andreas Tille <tille@debian.org>
# GPL

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

mandir=$(CURDIR)/debian/$(DEB_SOURCE)/usr/share/man/man1/

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- openmp=yes CC='$$(CXX)'

override_dh_installman:
	mkdir -p $(mandir)

	help2man --no-info --no-discard-stderr --version-string='$(DEB_VERSION_UPSTREAM)' \
	   --name='quickly group sequences' \
	   $(CURDIR)/cd-hit > $(mandir)/cd-hit.1

	help2man --no-info --no-discard-stderr --version-string='$(DEB_VERSION_UPSTREAM)' \
	   --name='quickly group sequences, optimised for 454 data' \
	   $(CURDIR)/cd-hit-454 > $(mandir)/cd-hit-454.1

	help2man --no-info --no-discard-stderr --version-string='$(DEB_VERSION_UPSTREAM)' \
	   --name='quickly group sequences in db1 or db2 format' \
	   $(CURDIR)/cd-hit-2d > $(mandir)/cd-hit-2d.1

	help2man --no-info --no-discard-stderr --version-string='$(DEB_VERSION_UPSTREAM)' \
	   --name='run CD-HIT algorithm on RNA/DNA sequences' \
	   $(CURDIR)/cd-hit-est > $(mandir)/cd-hit-est.1

	help2man --no-info --no-discard-stderr --version-string='$(DEB_VERSION_UPSTREAM)' \
	   --name='run CD-HIT algorithm on RNA/DNA sequences in db1 or db2 format' \
	   $(CURDIR)/cd-hit-est-2d > $(mandir)/cd-hit-est-2d.1

	help2man --no-info --no-discard-stderr --version-string='$(DEB_VERSION_UPSTREAM)' \
	   --name='divide a big clustering job into pieces to run cd-hit-2d or cd-hit-est-2d jobs' \
	   $(CURDIR)/cd-hit-2d-para.pl	> $(mandir)/cd-hit-2d-para.1

	help2man --no-info --no-discard-stderr --version-string='$(DEB_VERSION_UPSTREAM)' \
	   --name='divide a big clustering job into pieces to run cd-hit or cd-hit-est jobs' \
	    $(CURDIR)/cd-hit-para.pl	> $(mandir)/cd-hit-para.1

	help2man --no-info --no-discard-stderr --version-string='$(DEB_VERSION_UPSTREAM)' \
           --name='divide a FASTA file into pieces' \
            $(CURDIR)/cd-hit-div.pl    > $(mandir)/cd-hit-div.1

	# psi-cd-hit.pl is throwing some errors which are fixed using sed
	# ... at least in versions <= 4.6.4 - now help2man does not work at all
	#help2man --no-info --no-discard-stderr --version-string='$(DEB_VERSION_UPSTREAM)' \
	#   --name='runs similar algorithm like CD-HIT but using BLAST to calculate similarities' \
	#   $(CURDIR)/psi-cd-hit.pl	| \
	#   sed -e '/^Name "main::.*" used only once:/d' \
	#	> $(mandir)/psi-cd-hit.1

	# help2man does not work at all since version 4.6.4
	#help2man --no-info --no-discard-stderr --version-string='$(DEB_VERSION_UPSTREAM)' \
	#   --name='runs similar algorithm like CD-HIT but using BLAST to calculate similarities in db1 or db2 format' \
	#      $(CURDIR)/psi-cd-hit-2d.pl	> $(mandir)/psi-cd-hit-2d.1

	# FIXME: what is the difference between psi-cd-hit-2d.pl and psi-cd-hit-2d-g1.pl ?
	# help2man does not work at all since version 4.6.4
	#help2man --no-info --no-discard-stderr --version-string='$(DEB_VERSION_UPSTREAM)' \
	#   --name='runs similar algorithm like CD-HIT but using BLAST to calculate similarities in db1 or db2 format' \
	#      $(CURDIR)/psi-cd-hit-2d-g1.pl	> $(mandir)/psi-cd-hit-2d-g1.1

	# No help output from
	#   clstr2tree.pl
	#   clstr_merge.pl
	#   clstr_merge_noorder.pl
	#   clstr_reduce.pl
	#   clstr_renumber.pl
	#   clstr_rev.pl
	#   clstr_sort_by.pl
	#   clstr_sort_prot_by
	#   make_multi_seq
	#   psi-cd-hit-local.pl    -> even throws several "used only once: possible typo" errors

override_dh_auto_install:
	dh_auto_install -- PREFIX=debian/$(DEB_SOURCE)/usr/lib/cd-hit

override_dh_compress:
	dh_compress --exclude=.pdf

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/weizhongli/cdhit/tags \
(?:.*?/)?[Vv]?(\d[\d.]*)\.tar\.gz debian uupdate
